Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#18564 closed defect (fixed)

plotutils-2.5.1 doesn't exist on the download sites

Reported by: rogpeppe@… Owned by: skymoo (Adam Mercer)
Priority: Normal Milestone:
Component: ports Version: 1.7.0
Keywords: Cc:
Port: plotutils

Description

i was trying to port install pstoedit, which has plotutils as a dependency. it tried to download plotutils-2.5.1, but 2.5 is the only one available on the sites, as far as i can see. (e.g. http://ftp.gnu.org/gnu/plotutils/)

Change History (10)

comment:1 Changed 12 years ago by skymoo (Adam Mercer)

Port: pstoedit removed

Odd, it was available and it's available on the MacPorts mirror so to receive a fetch error is strange, you are running MacPorts 1.7.0? Anyway, it looks like the 2.5.1 release has been pulled... maybe reverting to 2.5 is the best course of action.

comment:2 Changed 12 years ago by skymoo (Adam Mercer)

Cc: ram@… added

Cc Me!

comment:3 in reply to:  1 Changed 12 years ago by rogpeppe@…

ah. port version reports 1.600. is it necessary that i upgrade? i've had a largely trouble-free experience with macports; i thought it never changed!

comment:4 Changed 12 years ago by skymoo (Adam Mercer)

Cc: rogpeppe@… removed

A lot of bugs have been fixed in 1.7.0, you should really upgrade. Run

$ sudo port selfupdate

Once you've upgrade this problem will go away as the MacPorts mirror will be used, I'll try and check with upstream on what happened to 2.5.1.

comment:5 Changed 12 years ago by rogpeppe@…

done. it's building now, pulling from its 3rd choice, macports.org, as you said. thanks.

comment:6 Changed 12 years ago by skymoo (Adam Mercer)

Owner: changed from macports-tickets@… to ram@…
Status: newassigned

I've emailed upstream in order to determine why 2.5.1 was removed from the mirrors.

comment:7 Changed 12 years ago by skymoo (Adam Mercer)

Cc: ram@… removed

comment:8 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

comment:9 Changed 12 years ago by skymoo (Adam Mercer)

Resolution: fixed
Status: assignedclosed

Have never heard back from upstream on why the 2.5.1 release was pulled, reverted to 2.5 in r52578 and epoch bumped.

comment:10 Changed 12 years ago by blb@…

FYI, sounds like some sort of licensing issue, at least according to the corresponding FreeBSD Ports bug.

Note: See TracTickets for help on using tickets.